﻿using System.Net;
using System.Net.Mail;
using System.Net.Security;
using System.Security.Cryptography.X509Certificates;

class Program
{
    static void Main(string[] args)
    {
        SmtpClient smtp = new SmtpClient();

        SetProfile(smtp, SmtpProfile.Office365);

        MailAddress from = new MailAddress("from@outlook.com");
        MailAddress to = new MailAddress("to@hanmail.net");

        MailMessage msg = new MailMessage(from, to);
        msg.Body = "Test is good";
        msg.Subject = "Test mail";

        smtp.Send(msg);
    }

    private static void SetProfile(SmtpClient smtp, SmtpProfile profile)
    {
        switch (profile)
        {
            case SmtpProfile.Chollian:
                smtp.Host = "mail.chol.com";
                smtp.Port = 25;
                smtp.EnableSsl = false;
                smtp.DeliveryMethod = SmtpDeliveryMethod.Network;
                smtp.Credentials = new NetworkCredential("...", "...");
                break;

            case SmtpProfile.Gmail:
                smtp.Host = "smtp.gmail.com";
                // smtp.Port = 465;
                smtp.Port = 587;
                smtp.EnableSsl = true;
                smtp.Credentials = new NetworkCredential("...", "...");
                break;

            case SmtpProfile.Office365:
                smtp.Host = "smtp.office365.com";
                smtp.Port = 587;
                smtp.EnableSsl = true;
                smtp.Credentials = new NetworkCredential("...", "...");
                break;
        }
    }
}

public enum SmtpProfile
{
    Chollian,
    Gmail,
    Office365,
}
